Skip to main content
`Ctrl`+`K`

# KSPPIPEFCGSetMmax

set the maximum number of previous directions `KSPPIPEFCG` will store for orthogonalization

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGSetMmax(KSP ksp, PetscInt mmax)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- mmax - the maximum number of previous directions to orthogonalize against

## Options Database Key

- -ksp_pipefcg_mmax <N> - maximum number of previous directions

## Note

`mmax` + 1 directions are stored (`mmax` previous ones along with the current one) and whether all are used in each iteration also depends on the truncation strategy, see `KSPPIPEFCGSetTruncationType()`

## See Also

KSP: Linear System Solvers, `KSPPIPEFCG`, `KSPPIPEFCGSetTruncationType()`, `KSPPIPEFCGSetNprealloc()`, `KSPFCGSetMmax()`, `KSPFCGGetMmax()`

## Level

intermediate

## Location

src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages